Retrieves the user_planning_slot with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "9b36da2b-d4d5-4de1-a7c9-d0b53df0f507",
  "user_id": "769e7d06-117a-4664-9097-5bae7d086937",
  "user_planning_slot_type_id": "ae5de85f-d7c7-4ed3-a9fb-6eca6d23a609",
  "date_from": "2026-10-23T20:09:57.4023724+00:00",
  "date_to": "2026-10-23T20:09:57.4023724+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-23T20:09:57.4023724+00:00"
}